Bug 1500642 - [3.7] installer need provide a way to add docker auth to kubelet for auto pulling infra image from an authenticated registry
Summary: [3.7] installer need provide a way to add docker auth to kubelet for auto pul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Michael Gugino
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1316341 1481251
Blocks: 1484063 1484068
TreeView+ depends on / blocked
 
Reported: 2017-10-11 09:04 UTC by Johnny Liu
Modified: 2017-11-28 22:16 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1316341
Environment:
Last Closed: 2017-11-28 22:16:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
rpm install failure log (160.35 KB, text/plain)
2017-10-18 06:00 UTC, Johnny Liu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 Scott Dodson 2017-10-11 14:38:41 UTC
Doesn't /var/lib/origin get mounted into the node? If so then we just need to restart the node service if it's containerized.

Comment 2 Michael Gugino 2017-10-11 15:39:25 UTC
install.yml does not create /etc/systemd/system/atomic-openshift-node.service.  That file is created via config.yml, which is called after registry_auth.yml.

I believe the ordering should be correct.  I will need the full ansible output if this problem persists.

Comment 7 Johnny Liu 2017-10-17 08:07:31 UTC
Verified this bug with openshift-ansible-3.7.0-0.153.0.git.0.d5028b3.el7.noarch, and PASS.

Comment 9 Johnny Liu 2017-10-18 06:00:55 UTC
Created attachment 1339998 [details]
rpm install failure log

Comment 14 errata-xmlrpc 2017-11-28 22:16:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.